import { Context } from '@actions/github/lib/context';
import { ApiHelper } from '@technote-space/github-action-helper';
import { Logger } from '@technote-space/github-action-log-helper';
import { Octokit } from '@technote-space/github-action-helper/dist/types';
import { Commit } from '../types';
import { VERSION_BUMP } from '../constant';
export declare const getCurrentVersion: (helper: ApiHelper) => Promise<string>;
export declare const whatBump: (minorUpdateCommitTypes: Array<string>, commits: Array<Pick<Commit, 'notes' | 'type'>>) => keyof typeof VERSION_BUMP;
export declare const getNextVersionLevel: (minorUpdateCommitTypes: Array<string>, commits: Array<Pick<Commit, 'notes' | 'type'>>) => number;
export declare const getNextVersion: (minorUpdateCommitTypes: Array<string>, excludeMessages: Array<string>, breakingChangeNotes: Array<string>, helper: ApiHelper, octokit: Octokit, context: Context, logger?: Logger | undefined) => Promise<string>;
